#include "testlib.h"
#include <cstdio>
#include <cmath>
#include <cstdlib>
#include <cassert>
#include <ctime>
#include <cstring>
#include <string>
#include <set>
#include <map>
#include <vector>
#include <list>
#include <deque>
#include <queue>
#include <sstream>
#include <iostream>
#include <algorithm>

using namespace std;

#define pb push_back
#define mp make_pair
#define fs first
#define sc second

const double pi = acos(-1.0);
const int minN = 1;
const int maxN = 200 * 1000;

int main() {
	registerValidation();

	int n = inf.readInt(minN, maxN);
	inf.readEoln();
	for (int i = 0; i < n; i++) {
		if (i > 0)
			inf.readSpace();
		inf.readInt(0, i);
	}	
	inf.readEoln();

	inf.readEof();

    return 0;
}